VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "_: "
   ClientHeight    =   2664
   ClientLeft      =   5112
   ClientTop       =   2748
   ClientWidth     =   8184
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   18
      Charset         =   204
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "FORM1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   222
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   682
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdDoItAgain 
      Caption         =   ""
      Default         =   -1  'True
      Enabled         =   0   'False
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   7.8
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2587
      TabIndex        =   0
      Top             =   2175
      Width           =   1485
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
DefLng A-Z
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds)
Private Declare Function CreateSolidBrush Lib "gdi32" (ByVal crColor)
Private Declare Function FillRect Lib "user32" (ByVal hDC, lpRect As RECT, ByVal hBrush)
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject)
Private Declare Function GetTextCharacterExtra Lib "gdi32" (ByVal hDC)
Private Declare Function SetTextCharacterExtra Lib "gdi32" (ByVal hDC, ByVal nCharExtra)

Private Type RECT
    L   As Long
    T   As Long
    R   As Long
    B   As Long
End Type

Private Stopping            As Boolean
Private TextRectangle       As RECT
Private StandardSpacing

Private Sub cmdDoItAgain_Click()

    Form_Load
 
End Sub



Private Sub Form_Load()

    cmdDoItAgain.Enabled = False
    Show
    Cls
    FontBold = True
    
    If Not Stopping Then
        Font.Size = 12
        BounceText "_-  Visual Basic", 16, 16, 80, 3, , &H808080
    End If
    If Not Stopping Then
        Font.Size = 14
        BounceText " ,  ?", 36, 58, 60, 2
    End If
    If Not Stopping Then
        Font.Size = 10
        BounceText " !!!", 56, 110, 60, 5, , vbRed
    End If
    If Not Stopping Then
        cmdDoItAgain.Enabled = True
        cmdDoItAgain.SetFocus
    End If
    
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    Stopping = True

End Sub

Private Sub BounceText(ByVal Text As String, _
                       ByVal x, _
                       ByVal y, _
                       Optional ByVal Speed = 60, _
                       Optional ByVal Loops = 1, _
                       Optional ByVal StartSpacing = 128, _
                       Optional ByVal TextColor As OLE_COLOR = vbBlack)

  Dim hBrush       'brush handle
  Dim MaxSpacing
  Dim CorrValue
  Dim CurrSpacing
  Dim Shrink        As Boolean
    
    StandardSpacing = GetTextCharacterExtra(hDC)
    CorrValue = FontSize * 0.5
    MaxSpacing = FontSize * 2.5
    If StartSpacing < MaxSpacing Then
        MaxSpacing = StartSpacing
        If MaxSpacing < StandardSpacing Then
            MaxSpacing = StandardSpacing
        End If
    End If
    
    TextRectangle.L = x
    TextRectangle.T = y
    TextRectangle.R = ScaleWidth
    TextRectangle.B = y + TextHeight("A")

    hBrush = CreateSolidBrush(BackColor)
    ForeColor = TextColor
    CurrSpacing = MaxSpacing + CorrValue
    Stopping = False
    Shrink = True
    Do
        Select Case Shrink
          Case True
            CurrSpacing = CurrSpacing - 1
            If CurrSpacing < 1 Then
                Shrink = False
                Loops = Loops - 1
            End If
          Case False
            CurrSpacing = CurrSpacing + 1
            If CurrSpacing = MaxSpacing Then
                Shrink = True
            End If
        End Select
        
        SetTextCharacterExtra hDC, CurrSpacing - CorrValue
        CurrentX = x
        CurrentY = y
        FillRect hDC, TextRectangle, hBrush 'erase previous text
        Print Text
        
        Sleep Speed + Speed / 2 * (Loops > 0)
        DoEvents
    Loop Until (CurrSpacing = CorrValue And Loops = 0) Or Stopping
    DeleteObject hBrush 'kill Brush

End Sub

':) Ulli's Code Formatter - 127 Lines
